Bug 114625 - Hard lockup when bridging eth0 and tap0
Hard lockup when bridging eth0 and tap0
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-30 07:02 EST by Stefan Sorensen
Modified: 2007-04-18 13:02 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Sorensen 2004-01-30 07:02:01 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686) Gecko/20040107 Galeon/1.3.7

Description of problem:
When setting up an ethernet bridge between an Intel ethernet adapter
and a TUN/TAP device, the kernel locks up after a short while.

Version-Release number of selected component (if applicable):
kernel-2.4.20-28.9

How reproducible:
Always

Steps to Reproduce:
1  Create tap0 (e.g. run usermode-linux with --eth0=tuntap)
2. # ifconfig eth0 0.0.0.0 promisc up
3. # ifconfig tap0 0.0.0.0 promisc up
4. # brctl addbr br0
5. # brctl addif br0 eth0
6. # brctl addif br0 tap0
7. # ifconfig br0 192.168.0.1
8. # ping 192.168.0.2

Actual Results:  Hard lockup after a short while, Sys-Rq not possible,
nothing in logs.

Expected Results:  No lockup.

Additional info:

No problems with vanilla kernel 2.4.24.

eth0 driver is e100.
lspci info:
05:08.0 Ethernet controller: Intel Corp. 82801BD PRO/100 VE (LOM)
Ethernet Controller (rev 81)
        Subsystem: Compaq Computer Corporation: Unknown device 0091
        Flags: bus master, medium devsel, latency 66, IRQ 5
        Memory at fc500000 (32-bit, non-prefetchable) [size=4K]
        I/O ports at 1000 [size=64]
        Capabilities: [dc] Power Management version 2
Comment 1 Bugzilla owner 2004-09-30 11:41:49 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.